Package org.jfree.layouting.renderer.model

## Class EmptyBoxDefinition

- java.lang.Object
- - org.jfree.layouting.renderer.model.EmptyBoxDefinition

- All Implemented Interfaces:
    `BoxDefinition`

      public final class EmptyBoxDefinition
      extends java.lang.Object
      implements BoxDefinition

  Creation-Date: 15.06.2006, 17:10:27
  Author:
    Thomas Morgner

- - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `CSSColorValue` | `getBackgroundColor​()` |
    `Border` | `getBorder​()` |
    `static EmptyBoxDefinition` | `getInstance​()` |
    `RenderLength` | `getMarginBottom​()` |
    `RenderLength` | `getMarginLeft​()` |
    `RenderLength` | `getMarginRight​()` |
    `RenderLength` | `getMarginTop​()` |
    `RenderLength` | `getMaximumHeight​()` |
    `RenderLength` | `getMaximumWidth​()` |
    `RenderLength` | `getMinimumHeight​()` |
    `RenderLength` | `getMinimumWidth​()` |
    `RenderLength` | `getPaddingBottom​()` |
    `RenderLength` | `getPaddingLeft​()` |
    `RenderLength` | `getPaddingRight​()` |
    `RenderLength` | `getPaddingTop​()` |
    `RenderLength` | `getPreferredHeight​()` | The preferred size is only set, if a height has been explicitly defined.
    `RenderLength` | `getPreferredWidth​()` | The preferred size is only set, if a width has been explicitly defined.
    `boolean` | `isEmpty​()` |
    `BoxDefinition[]` | `split​(int axis)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getInstance

          public static EmptyBoxDefinition getInstance​()

    - #### getMarginTop

          public RenderLength getMarginTop​()

      Specified by:
        `getMarginTop` in interface `BoxDefinition`

    - #### getMarginBottom

          public RenderLength getMarginBottom​()

      Specified by:
        `getMarginBottom` in interface `BoxDefinition`

    - #### getMarginLeft

          public RenderLength getMarginLeft​()

      Specified by:
        `getMarginLeft` in interface `BoxDefinition`

    - #### getMarginRight

          public RenderLength getMarginRight​()

      Specified by:
        `getMarginRight` in interface `BoxDefinition`

    - #### getPaddingTop

          public RenderLength getPaddingTop​()

      Specified by:
        `getPaddingTop` in interface `BoxDefinition`

    - #### getPaddingLeft

          public RenderLength getPaddingLeft​()

      Specified by:
        `getPaddingLeft` in interface `BoxDefinition`

    - #### getPaddingBottom

          public RenderLength getPaddingBottom​()

      Specified by:
        `getPaddingBottom` in interface `BoxDefinition`

    - #### getPaddingRight

          public RenderLength getPaddingRight​()

      Specified by:
        `getPaddingRight` in interface `BoxDefinition`

    - #### getBorder

          public Border getBorder​()

      Specified by:
        `getBorder` in interface `BoxDefinition`

    - #### getMinimumWidth

          public RenderLength getMinimumWidth​()

      Specified by:
        `getMinimumWidth` in interface `BoxDefinition`

    - #### getMinimumHeight

          public RenderLength getMinimumHeight​()

      Specified by:
        `getMinimumHeight` in interface `BoxDefinition`

    - #### getMaximumWidth

          public RenderLength getMaximumWidth​()

      Specified by:
        `getMaximumWidth` in interface `BoxDefinition`

    - #### getMaximumHeight

          public RenderLength getMaximumHeight​()

      Specified by:
        `getMaximumHeight` in interface `BoxDefinition`

    - #### getPreferredWidth

          public RenderLength getPreferredWidth​()

      Description copied from interface: `BoxDefinition`
      The preferred size is only set, if a width has been explicitly defined.
      Specified by:
        `getPreferredWidth` in interface `BoxDefinition`
      Returns:

    - #### getPreferredHeight

          public RenderLength getPreferredHeight​()

      Description copied from interface: `BoxDefinition`
      The preferred size is only set, if a height has been explicitly defined.
      Specified by:
        `getPreferredHeight` in interface `BoxDefinition`
      Returns:

    - #### split

          public BoxDefinition[] split​(int axis)

      Specified by:
        `split` in interface `BoxDefinition`

    - #### getBackgroundColor

          public CSSColorValue getBackgroundColor​()

      Specified by:
        `getBackgroundColor` in interface `BoxDefinition`

    - #### isEmpty

          public boolean isEmpty​()

      Specified by:
        `isEmpty` in interface `BoxDefinition`